Bug 155233 - Update devel/bmake to 20110225
Update devel/bmake to 20110225
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: obrien
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-03 16:40 UTC by obrien
Modified: 2011-05-05 01:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.51 KB, patch)
2011-03-03 16:40 UTC, obrien
no flags Details | Diff
bmake.port.patch.txt (3.27 KB, text/plain)
2011-04-09 19:41 UTC, to.my.trociny
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description obrien freebsd_committer 2011-03-03 16:40:10 UTC
	SJG has updated the portable NetBSD make to 20110225

	Note that a yet to be published update will add several
	share/mk files.  So I changed the port to use the method
	I use in Vim so that I don't have to micromanage the
	pkg-plist file for directories totally owned by the port.

How-To-Repeat: 	 ncftpls  ftp://ftp.netbsd.org/pub/NetBSD/misc/sjg/
Comment 1 Martin Wilke freebsd_committer 2011-03-04 00:36:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2011-03-04 06:11:29 UTC
Responsible Changed
From-To: miwi->obrien

submitter have gnats access
Comment 3 to.my.trociny 2011-03-21 20:30:37 UTC
Hi, David, are you planning to commit this soon? Because there is already
newer version of bmake (20110306) and I think there is a sense to commit it.

If you need my (maintainer) approve then you have it. Personally I don't see
many problems with maintaining static list while having it static has some
pros. But let it be.

-- 
Mikolaj Golub
Comment 4 to.my.trociny 2011-04-09 19:41:53 UTC
If David by some reason can't commit this to ports, could someone from ports
people do this?

-- 
Mikolaj Golub
Comment 5 obrien freebsd_committer 2011-05-05 01:40:36 UTC
State Changed
From-To: open->closed

Committed.
Comment 6 dfilter freebsd_committer 2011-05-05 01:40:43 UTC
obrien      2011-05-05 00:40:30 UTC

  FreeBSD ports repository

  Modified files:
    devel/bmake          Makefile distinfo pkg-plist 
  Log:
  Upgrade Bmake to the 20110411 version (w/META mode).
  
  Also dynamically generate the PLIST for the share/mk files as SJG tells
  me he will be adding several new files.  [method taken from the Vim port]
  
  PR:             155233
  Submitted by:   obrien
  Approved by:    Mikolaj Golub <to.my.trociny@gmail.com>
  
  Revision  Changes    Path
  1.8       +16 -1     ports/devel/bmake/Makefile
  1.7       +2 -2      ports/devel/bmake/distinfo
  1.5       +3 -55     ports/devel/bmake/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"